---
title: Multi-Column Headers
page_title: Vue Grid Wrapper - Multi-Column Headers - Kendo UI for Vue
description: "Get started with the Vue Grid by Kendo UI and learn how to configure multi-column headers."
slug: multicolumnheaders_grid
position: 2
---

# Multi-Column Headers

The Kendo UI Grid wrapper for Vue supports multi-column headers by specifying column groups which incorporate inner column structures.

> To implement the multi-column headers functionality in the native Vue Grid by Kendo UI, refer to the [native Vue Grid by Kendo UI documentation]({% slug multicolumnheaders_columns_grid_native %}).

The following example demonstrates how to nest columns in the **Product Details** column which are rendered through an array of column definitions. The Kendo UI Data Grid wrapper for Vue supports operations, such as sorting and filtering, on each column level and regardless of the selected multi-header pattern.

{% meta height:360 %}
{% embed_file grid/columns/multi/main.vue preview %}
{% embed_file grid/columns/multi/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI Grid for jQuery](https://docs.telerik.com/kendo-ui/controls/data-management/grid/overview)
* [API Reference of the Grid Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/grid)
* [Multi-Column Headers in the Native Vue Grid by Kendo UI]({% slug multicolumnheaders_columns_grid_native %})
